<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$tabla='z_gastos'; // Tabla que se va modificar
$tipo='Gasto'; // tipo 
$spe=$_SESSION['perfil'];
$iduser=$_SESSION['userid'];
if($spe!=$pad && $spe!=$psu){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>No tienes permiso para esta acción</h6></div>';exit();}
$mysqli = connectDB($r);

/* FORMULARIO NUEVO */
if(isset($_POST["gasto"])){
    $tipo=strtoupper($_POST['tipo']);
    $tipo=mysqli_real_escape_string($mysqli, $tipo);
    if($tipo==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es nesesario el tipo de gasto</h6></div>';exit();}
    $resultado = $mysqli->query("SELECT * FROM z_tinversiones WHERE id=$tipo");
    $row4=$resultado->fetch_assoc();
    $categoria=$row4['idcategoria']; 
    $costo=strtoupper($_POST['costo']);
    $costo=mysqli_real_escape_string($mysqli, $costo);
    if($costo==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es nesesario el costo del gasto</h6></div>';exit();}
    $nota=strtoupper($_POST['nota']);
    $nota=mysqli_real_escape_string($mysqli, $nota);
    $fecha = date("Y-m-d H:i:s");
    if($_FILES['archivo']!=""){
    //Validamos si la ruta de destino existe, en caso de no existir la creamos
			$filename = $_FILES["archivo"]["name"]; //Obtenemos el nombre original del archivo
			$source = $_FILES["archivo"]["tmp_name"]; //Obtenemos un nombre temporal del archivo
			$ext = pathinfo($filename, PATHINFO_EXTENSION); //extencfiom un nombre temporal del archivo
            $now =  strtotime($fecha);

			
			$directorio = $r."caja/archivos/"; //Declaramos un  variable con la ruta donde guardaremos los archivos
			
			//Validamos si la ruta de destino existe, en caso de no existir la creamos
			if(!file_exists($directorio)){
				mkdir($directorio, 0777) or die("No se puede crear el directorio de extracci&oacute;n");	
			}
			$dir=opendir($directorio); //Abrimos el directorio de destino
            $target_path = $directorio.$now.'.'.$ext;
			
			//Movemos y validamos que el archivo se haya cargado correctamente
			//El primer campo es el origen y el segundo el destino
			move_uploaded_file($source, $target_path);
    }
    if($nota==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La nota es Necesaria</h6></div>';exit();}
    $sql="INSERT INTO $tabla (iduser, categoria, tipo, archivo, nota, cantidad, fecha) VALUES ('$iduser','$categoria','$tipo','$target_path','$nota','$costo','$fecha')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        header('Location: ver-gasto.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Ingresado el Nuevo Gasto');
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}/* FORMULARIO NUEVO */
if(isset($_POST["pago"])){
    
    // IDPROVEEDOR
    $idproveedor=$_POST[proveedor];
    if($idproveedor==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Por Favor Selecciona un Proveedor</h6></div>';exit();}
    $idproveedor=mysqli_real_escape_string($mysqli, $idproveedor);
    
    // COSTO DE LA COMPRA
    $costo=$_POST[costo];
    if($costo==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesario Ingresar el Costo de la Factura</h6></div>';exit();}
    
    
    $fecha = date("Y-m-d H:i:s");
    if($_FILES['archivo']!=""){
    //Validamos si la ruta de destino existe, en caso de no existir la creamos
			$filename = $_FILES["archivo"]["name"]; //Obtenemos el nombre original del archivo
			$source = $_FILES["archivo"]["tmp_name"]; //Obtenemos un nombre temporal del archivo
			$ext = pathinfo($filename, PATHINFO_EXTENSION); //extencfiom un nombre temporal del archivo
            $now =  strtotime($fecha);

			
			$directorio = $r."caja/archivos/"; //Declaramos un  variable con la ruta donde guardaremos los archivos
			
			//Validamos si la ruta de destino existe, en caso de no existir la creamos
			if(!file_exists($directorio)){
				mkdir($directorio, 0777) or die("No se puede crear el directorio de extracci&oacute;n");	
			}
			$dir=opendir($directorio); //Abrimos el directorio de destino
            $target_path = $directorio.$now.'.'.$ext;
			
			//Movemos y validamos que el archivo se haya cargado correctamente
			//El primer campo es el origen y el segundo el destino
			move_uploaded_file($source, $target_path);
    }
    
    
    // CODIGO FACTURA
    $codigofactura=$_POST[codigofactura];
    $codigofactura=mysqli_real_escape_string($mysqli, $codigofactura);
    
    // FECHA LIMITE
    $fechalimite=$_POST[fecha];
    if($fechalimite==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La nota es Ingresar la fecha limite</h6></div>';exit();}
    $fechalimite=mysqli_real_escape_string($mysqli, $fechalimite);
    
    // ESTADO
    $estado=$_POST[estado];
    if($estado==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Selecciona e Estado de La factura</h6></div>';exit();}
    $estado=mysqli_real_escape_string($mysqli, $estado);
    
    // ABONO
    if($estado=="1"){
        $abono=$_POST[abono];
        if($abono==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ingresa el Abono a la factura</h6></div>';exit();}
        $abono=mysqli_real_escape_string($mysqli, $abono);
    }
    
    
    // NOTA
    $nota=$_POST[nota];
    if($nota==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La nota es Necesaria</h6></div>';exit();}
    $nota=mysqli_real_escape_string($mysqli, $nota);
    
    $sql="INSERT INTO z_dproveedor (iduser, idproveedor, codigofactura, valor, soporte, nota, fecha, fechalimite, abono, estado) VALUES ('$iduser','$idproveedor','$codigofactura','$costo','$target_path','$nota','$fecha','$fechalimite','$abono','$estado')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'ver-gasto.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Ingresado';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}
/* FORMULARIO CATEGORIA INVERSIONES */
if(isset($_POST["cinversion"])){
    $categoria=strtoupper($_POST['categoria']);
    $categoria=mysqli_real_escape_string($mysqli, $categoria);
    $qry1 = $mysqli->query("SELECT * FROM z_cinversiones WHERE nombre='$categoria'");
    $num1 = $qry1->num_rows;
    if($num1!=0){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ya Existe esta Categoria.</h6></div>';exit();}
    $fecha = date("Y-m-d H:i:s");    
    $sql="INSERT INTO z_cinversiones (nombre, fecha, iduser) VALUES ('$categoria','$fecha','$iduser')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'ver-cinversiones.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Ingresado la nueva categoria';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}
/* FORMULARIO TINVERSIONES */
if(isset($_POST["tinversion"])){
    $categoria=strtoupper($_POST['categoria']);
    if($categoria==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>No has seleccionado una Categoria.</h6></div>';exit();}
    $tipo=strtoupper($_POST['tipo']);
    $tipo=mysqli_real_escape_string($mysqli, $tipo);
    if($tipo==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>No has ingresado un tipo.</h6></div>';exit();}
    $qry1 = $mysqli->query("SELECT * FROM z_tinversiones WHERE nombre='$tipo'");
    $num1 = $qry1->num_rows;
    if($num1>1){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ya Existe este Tipo.</h6></div>';exit();}
    $fecha = date("Y-m-d H:i:s");    
    $sql="INSERT INTO z_tinversiones (idcategoria, nombre, fecha, iduser) VALUES ('$categoria','$tipo','$fecha','$iduser')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'ver-tinversiones.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Ingresado el nuevo tipo';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}